E-Arogya - Bug #78

Feature # 65 (New): Security Audit

[Security Audit ] 13 -Aadhaar is Not Encrypted in Transit
17/04/2024 03:53 PM - Kalyan Battula

Status: Closed Start date: 24/04/2024
Priority: Normal Due date:

Assignee: Deepika Valluri % Done: 100%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

13 -Aadhaar is Not Encrypted in Transit

CWE : CWE-311

Description :

The software transmits sensitive or security-critical data in cleartext in a communication
channel.

Affected Path(s) :

https://earogya.satragroup.in/patient/0/patient-Registration *-Applicable to entire
application

Impact :

Anyone can read the information by gaining access to the channel being used for
communication.

Recommendation :

Encrypt the data with a reliable encryption scheme before transmitting.

Evidence/Proof Of Concept :

Step 1: As seen below all the actions of the user including the aadhar are stored in plain text.
Subtasks:
Bug # 106: Nationalid details encription from backend

Closed

History

#1 - 17/04/2024 04:24 AM - Harish Beechani

- Assignee set to Vasu Malladi

#2 - 17/04/2024 04:24 AM - Harish Beechani

- Status changed from New to In Progress

#3 - 23/04/2024 02:17 AM - Deepika Valluri

- Assignee changed from Vasu Malladi to Deepika Valluri

#4 - 24/04/2024 12:44 AM - Vasudev Mamidi
- Subtask #106 added

#5 - 25/04/2024 11:58 PM - Karthik Daram

- Status changed from In Progress to Resolved

#6 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#7 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#8 - 30/09/2024 05:20 PM - Gautam Kumar

- Status changed from Resolved to Closed
